package com.hai.service;

import com.hai.entity.HighCouponCode;
import com.hai.model.HighCouponCodeModel;

import java.util.List;

/**
 * @Auther: 胡锐
 * @Description:  卡券销售码
 * @Date: 2021/3/14 17:44
 */
public interface HighCouponCodeService {

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/3/14 17:44
     **/
    void insertCouponCode(HighCouponCode highCouponCode);

    /**
     *
     * @Title: getStockCountByCoupon
     * @Author 胡锐
     * @Description: 查询卡卷的库存数量
     * @Date 11:24 2021/3/16
     * @Param [couponId]
     * @return java.lang.Integer
     **/
    Integer getStockCountByCoupon(Long couponId);

}
